# Note to packagers: this package _*MUST*_ be build on a Linux Mandrake 5.3 system


Summary:	Runtime and developemnt libraries for Linux-Mandrake 5.2 backwards compatibility
Name:		compat-libs
Version:	5.3
Release:	7mdk
Copyright:	LGPL
Group:		System/Libraries
Buildroot:	/var/tmp/compat-libs-root
%define LIBRARIES ICE PEX5 SM X11 XIE Xaw Xext Xi Xmu Xp Xt Xtst Xpm form menu ncurses panel termcap
AutoReq:	false
AutoProv:	false

%description
This package includes a number of run-time libraries that are compiled on
Linux-Mandrake 5.2. This package is required if you want to do development
for Linux-Mandrake 5.2 and other glibc 2.0 based systems.

%prep
%setup -c -T

%build
rm -f *
for lib in %{LIBRARIES} ; do 
    candidates=$(ls /lib/lib$lib.so.* /usr/lib/lib$lib.so.* /usr/X11R6/lib/lib$lib.so.* 2>/dev/null ||:)
    for file in $candidates ; do 
	if [ -f $file -a ! -L $file ] ; then cp $file . ; fi
    done
done
# we don't need the ncurses 3 things anymore...
rm -fv lib*.1.9.9*
# and create the .so links for compilig
for lib in lib*.so.* ; do 
    ln -s $lib ${lib%%.so.*}.so
done
#create the soname links
/sbin/ldconfig -n -N -v .

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/%{buildarch}-glibc20-linux/lib
tar cf - . | tar xf - -C $RPM_BUILD_ROOT/usr/%{buildarch}-glibc20-linux/lib

%clean
rm -rf $RPM_BUILD_ROOT
%files
%defattr(-,root,root)
/usr/%{buildarch}-glibc20-linux/lib/*

%changelog
* Thu Mar 23 2000 David BAUDENS <baudens@mandrakesoft.com> 5.3-7mdk
- Build on Linux Mandrake 5.3

* Wed Mar 22 2000 Daouda Lo <daouda@mandrakesotf.com> 5.3-6mdk
- change group to system/Libraries 
- fix the defattr section (rpmlint warning)
- fix the buildarch tag

* Fri Dec 3 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Adjust header.
- Adjust description.

* Fri Dec 3 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Mon May 20 1999 Bill Nottingham <notting@redhat.com>
- um, don't put the alpha libs in i386-glibc20-linux dir. :)

* Sun Apr 18 1999 Cristian Gafton <gafton@redhat.com>
- created the first version, just like anotehr anonftp package...
